{% extends "base.html" %}

{% block content %}

<h1 class="display-4">Update Transaksi Pembelian</h1>
<p class="lead font-italic">FarmaKami Indonesia</p>
<hr class="my-4">

<div class="container">    
     
    <form method="post">
        <small class="text-muted">{{ message }}</small> <br><br> 
        <label>ID Transaksi Pembelian: </label>  
            <input type="text" name="id_transaksi" item="id_transaksi" style="background-color: #C8C8C8; " value= {{ id }} disabled> 
            <br>   
        {% csrf_token %}
            <label>Waktu Pembelian: </label>  
                <input type="datetime" id="waktu" name="waktu" style="background-color: #C8C8C8; " value= "{{ waktu_pembelian }}" disabled>
                <br> 
            <label>Total Pembayaran: </label>  
                <input type="text" name="id_transaksi" id="id_transaksi" style="background-color: #C8C8C8; " value= {{ total_pembayaran }} disabled> 
                <br> 
            <label>ID Konsumen: </label>
            <select id="id_konsumen_select" name="id_konsumen_select">
                <option value="none">none</option>
                {% for id in id_konsumen %}
                   <option value={{id.id_konsumen}}>{{id.id_konsumen}}</option>
                {% endfor %}
            </select>
            <br>
        <button class="btn btn-outline-primary" >Update</button>
    </form> 
</div>

<style>
    input, select, .temp {
        display: block;
        width: 50%;
        height: 34px;
        padding: 6px 12px;
        font-size: 14px;
        line-height: 1.42857143;
        color: #555;
        background-color: #fff;
        background-image: none;
        border: 1px solid #ccc;
        border-radius: 4px;
        -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
        box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
        -webkit-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
        -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
        -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
        transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
        transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
        transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
    }
</style>

{% endblock content %}